Passport Auth
This api is for validating a customer’s passport details. We have to pass passport number, file number,full name, date of issue and date of birth in request. If the request have valid passport details we will get a success response.
https://kraken.airpay.co.in/airpay/ms/baas/api/passport-authenticationHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| affiliate required | Text | Will be provided by airpay (required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| checksum required | Text | $string = $param.self::$secret_key; (required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| api-key required | Text | Will be provided by airpay ( required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| processor-key required | Text | Will be provided by airpay ( required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| passport_no required | Alphanumeric | Passport Number of customer (length 9, required) | Sxxxxx62 |
| file_no required | Alphanumeric | Passport application File Number as printed the passport (length 15, required) | BO1234344561234 |
| dob required | date | Date of birth as per Passport [DD/MM/YYYY] (length 20, required) | 17/08/1987 |
| doi required | date | Date for when Passport is Issued [DD/MM/YYYY](length 20, required) | 14/05/2018 |
| full_name required | Text | Complete name of the passport holder (length 3-50, required) | Krisha kumar |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Numeric | 400- fail,200-success(length 3) | 400,200 |
| message required | Text | success, fail | success,fail |
| data required | Text | { “name”: { “nameFromPassport”: “KRISHNA KUMAR”, “surnameFromPassport”: “SURYA”, “nameMatch”: true, “nameScore”: 1 }, “passportNumber”: { “passportNumberFromSource”: “Sxxxxx62”, “passportNumberMatch”: true }, “dateOfIssue”: { “dispatchedOnFromSource”: “14/05/2018”, “dateOfIssueMatch”: true }, “typeOfApplication”: “Tatkaal”, “applicationDate”: “14/05/2018” } |
Request Example
Section titled “Request Example” curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/passport-authentication' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'Content-Type: application/json' \--data-raw {
"file_no":"BO1234344561234",
"dob":"17/08/1987",
"passport_no":"Sxxxxx62",
"doi":"14/05/2018",
"full_name":"Krisha kumar "
}Success Response
Section titled “Success Response”{ "status": "200", "message": "success", "data": { "name": { "nameFromPassport": "KRISHNA KUMAR", "surnameFromPassport": "SURYA", "nameMatch": true, "nameScore": 1 }, "passportNumber": { "passportNumberFromSource": "Sxxxxx62", "passportNumberMatch": true }, "dateOfIssue": { "dispatchedOnFromSource": "14/05/2018", "dateOfIssueMatch": true }, "typeOfApplication": "Tatkaal", "applicationDate": "14/05/2018" }}Error Response
Section titled “Error Response”{ "status": "400", "message": "Failed", "data": ""}